pdfbox-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anna Taracha <anna.tara...@avaintec.com>
Subject Overlaying PDFs > 1.4 fails & Hyperlinks are not clickable in overlays
Date Mon, 07 Mar 2016 15:30:18 GMT
Hi,

I am having trouble overlaying PDFs of version 1.5 (or higher) when 
using PDFBox 2.0.0-RC3. The result PDF has parameter error in it 
according to 3-Heights™ PDF Validator Online Tool. Overlaying PDFs of 
version 1.4 (PDF 1.4, PDF/A-1a and PDF/A-1b) works fine.

To reproduce:
1. Download pdfbox-app-2.0.0-RC3.jar
2. Overlay two PDF(/A) documents of version 1.5 (or higher)
/- java -jar pdfbox-app-2.0.0-RC3.jar OverlayPDF doc.pdf wm.pdf 
-position foreground result.pdf/
3. Validate result.pdf with a PDF validator (I used 3-Heights™ PDF 
Validator Online Tool)

The result of the validation is 'parameter error'. However, overlaying 
the exact same PDFs using pdfbox-app-1.8.11.jar works fine. Is there 
some regression in PDFBox 2.0.0-RC3 regarding overlaying PDFs of version 
 > 1.4? I tested OverlayPDF//with many simple PDFs (version > 1.4) and 
all of them resulted in parameter error when using PDFBox 2.0.0-RC3.

I have also a question about making hyperlinks clickable in overlays. I 
am able to do it by modifying Overlay.java but I was wondering, if this 
feature will be available in some later release?

Best regards,
Anna

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message